com.salesforce.datacloud.jdbc.auth

## Class DataCloudTokenProcessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.DataCloudTokenProcessor

All Implemented Interfaces:
  TokenProcessor

    public class DataCloudTokenProcessor
    extends Object
    implements TokenProcessor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DataCloudToken` `getDataCloudToken()`
`OAuthToken` `getOAuthToken()`
`AuthenticationSettings` `getSettings()`
`static DataCloudTokenProcessor` `of(Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOAuthToken

    public OAuthToken getOAuthToken()
                             throws SQLException

Specified by:
  `getOAuthToken` in interface `TokenProcessor`
Throws:
  `SQLException`

#### getDataCloudToken

    public DataCloudToken getDataCloudToken()
                                     throws SQLException

Specified by:
  `getDataCloudToken` in interface `TokenProcessor`
Throws:
  `SQLException`

#### of

    public static DataCloudTokenProcessor of(Properties properties)
                                      throws SQLException

Throws:
  `SQLException`

#### getSettings

    public AuthenticationSettings getSettings()

Specified by:
  `getSettings` in interface `TokenProcessor`